Index: trunk/code/projects/colonet/ColonetGUI/Colonet.xcodeproj/gmtress.pbxuser
===================================================================
--- trunk/code/projects/colonet/ColonetGUI/Colonet.xcodeproj/gmtress.pbxuser	(revision 180)
+++ trunk/code/projects/colonet/ColonetGUI/Colonet.xcodeproj/gmtress.pbxuser	(revision 181)
@@ -163,8 +163,8 @@
 					PBXFileDataSource_Warnings_ColumnID,
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 214354203;
-			PBXWorkspaceStateSaveDate = 214354203;
+			PBXPerProjectTemplateStateSaveDate = 214950164;
+			PBXWorkspaceStateSaveDate = 214950164;
 		};
 		perUserProjectItems = {
 			A30FC0970CBD7DFA000A16EC = A30FC0970CBD7DFA000A16EC /* PBXTextBookmark */;
@@ -173,32 +173,119 @@
 			A30FC13A0CBD8587000A16EC = A30FC13A0CBD8587000A16EC /* PBXTextBookmark */;
 			A31266650C9B131A00D15EBF = A31266650C9B131A00D15EBF /* PBXTextBookmark */;
 			A312666C0C9B131A00D15EBF = A312666C0C9B131A00D15EBF /* PBXTextBookmark */;
-			A3D287E80CC5047400CBC5D0 = A3D287E80CC5047400CBC5D0 /* PBXTextBookmark */;
-			A3D287E90CC5047400CBC5D0 = A3D287E90CC5047400CBC5D0 /* PBXTextBookmark */;
+			A3B0CF2B0CCFE11A001E32E1 /* PBXTextBookmark */ = A3B0CF2B0CCFE11A001E32E1 /* PBXTextBookmark */;
+			A3B0CF320CCFE191001E32E1 /* PBXTextBookmark */ = A3B0CF320CCFE191001E32E1 /* PBXTextBookmark */;
+			A3B0CF330CCFE191001E32E1 /* PBXTextBookmark */ = A3B0CF330CCFE191001E32E1 /* PBXTextBookmark */;
+			A3B0CF340CCFE191001E32E1 /* PBXTextBookmark */ = A3B0CF340CCFE191001E32E1 /* PBXTextBookmark */;
+			A3B0CF350CCFE191001E32E1 /* PBXTextBookmark */ = A3B0CF350CCFE191001E32E1 /* PBXTextBookmark */;
+			A3B0CF360CCFE191001E32E1 /* PBXTextBookmark */ = A3B0CF360CCFE191001E32E1 /* PBXTextBookmark */;
+			A3B0CF370CCFE198001E32E1 /* PBXTextBookmark */ = A3B0CF370CCFE198001E32E1 /* PBXTextBookmark */;
+			A3B0CF380CCFE198001E32E1 /* PBXTextBookmark */ = A3B0CF380CCFE198001E32E1 /* PBXTextBookmark */;
+			A3B0CF410CCFE1F7001E32E1 /* PBXTextBookmark */ = A3B0CF410CCFE1F7001E32E1 /* PBXTextBookmark */;
+			A3B0CF420CCFE1F7001E32E1 /* PBXTextBookmark */ = A3B0CF420CCFE1F7001E32E1 /* PBXTextBookmark */;
+			A3B0CF430CCFE260001E32E1 /* PBXTextBookmark */ = A3B0CF430CCFE260001E32E1 /* PBXTextBookmark */;
+			A3B0CF470CCFE362001E32E1 /* PBXTextBookmark */ = A3B0CF470CCFE362001E32E1 /* PBXTextBookmark */;
+			A3B0CF480CCFE365001E32E1 /* PBXTextBookmark */ = A3B0CF480CCFE365001E32E1 /* PBXTextBookmark */;
+			A3B0CF490CCFE365001E32E1 /* PBXTextBookmark */ = A3B0CF490CCFE365001E32E1 /* PBXTextBookmark */;
+			A3B0CF4C0CCFE487001E32E1 /* PBXTextBookmark */ = A3B0CF4C0CCFE487001E32E1 /* PBXTextBookmark */;
+			A3B0CF500CCFE4BB001E32E1 /* PBXTextBookmark */ = A3B0CF500CCFE4BB001E32E1 /* PBXTextBookmark */;
+			A3B0CF510CCFE4BD001E32E1 /* PBXTextBookmark */ = A3B0CF510CCFE4BD001E32E1 /* PBXTextBookmark */;
+			A3B0CF520CCFE4BD001E32E1 /* PBXTextBookmark */ = A3B0CF520CCFE4BD001E32E1 /* PBXTextBookmark */;
+			A3B0CF530CCFE50B001E32E1 /* PBXTextBookmark */ = A3B0CF530CCFE50B001E32E1 /* PBXTextBookmark */;
+			A3B0CF570CCFE51B001E32E1 /* PBXTextBookmark */ = A3B0CF570CCFE51B001E32E1 /* PBXTextBookmark */;
+			A3B0CF580CCFE51E001E32E1 /* PBXTextBookmark */ = A3B0CF580CCFE51E001E32E1 /* PBXTextBookmark */;
+			A3B0CF590CCFE51E001E32E1 /* PBXTextBookmark */ = A3B0CF590CCFE51E001E32E1 /* PBXTextBookmark */;
+			A3B0CF5A0CCFE559001E32E1 /* PBXTextBookmark */ = A3B0CF5A0CCFE559001E32E1 /* PBXTextBookmark */;
+			A3B0CF5C0CCFE565001E32E1 /* PBXTextBookmark */ = A3B0CF5C0CCFE565001E32E1 /* PBXTextBookmark */;
+			A3B0CF5D0CCFE565001E32E1 /* PBXTextBookmark */ = A3B0CF5D0CCFE565001E32E1 /* PBXTextBookmark */;
+			A3B0CF610CCFF662001E32E1 /* PBXTextBookmark */ = A3B0CF610CCFF662001E32E1 /* PBXTextBookmark */;
+			A3B0CF620CCFF662001E32E1 /* PBXTextBookmark */ = A3B0CF620CCFF662001E32E1 /* PBXTextBookmark */;
+			A3B0CF650CCFFA8F001E32E1 /* PBXTextBookmark */ = A3B0CF650CCFFA8F001E32E1 /* PBXTextBookmark */;
+			A3B0CF660CCFFA8F001E32E1 /* PBXTextBookmark */ = A3B0CF660CCFFA8F001E32E1 /* PBXTextBookmark */;
+			A3B0CF670CCFFA8F001E32E1 /* PBXTextBookmark */ = A3B0CF670CCFFA8F001E32E1 /* PBXTextBookmark */;
+			A3B0CF680CCFFA8F001E32E1 /* PBXTextBookmark */ = A3B0CF680CCFFA8F001E32E1 /* PBXTextBookmark */;
+			A3B0CF690CCFFA8F001E32E1 /* PBXTextBookmark */ = A3B0CF690CCFFA8F001E32E1 /* PBXTextBookmark */;
+			A3B0CF6A0CCFFA8F001E32E1 /* PBXTextBookmark */ = A3B0CF6A0CCFFA8F001E32E1 /* PBXTextBookmark */;
+			A3B0CF6B0CCFFA8F001E32E1 /* PBXTextBookmark */ = A3B0CF6B0CCFFA8F001E32E1 /* PBXTextBookmark */;
+			A3B0CF6C0CCFFA91001E32E1 /* PBXTextBookmark */ = A3B0CF6C0CCFFA91001E32E1 /* PBXTextBookmark */;
+			A3B0CF6D0CCFFA91001E32E1 /* PBXTextBookmark */ = A3B0CF6D0CCFFA91001E32E1 /* PBXTextBookmark */;
+			A3B0CF740CCFFFF2001E32E1 /* PBXTextBookmark */ = A3B0CF740CCFFFF2001E32E1 /* PBXTextBookmark */;
+			A3B0CF750CCFFFF2001E32E1 /* PBXTextBookmark */ = A3B0CF750CCFFFF2001E32E1 /* PBXTextBookmark */;
+			A3B0CF760CD00046001E32E1 /* PBXTextBookmark */ = A3B0CF760CD00046001E32E1 /* PBXTextBookmark */;
+			A3B0CF770CD00046001E32E1 /* PBXTextBookmark */ = A3B0CF770CD00046001E32E1 /* PBXTextBookmark */;
+			A3B0CF780CD00046001E32E1 /* PBXTextBookmark */ = A3B0CF780CD00046001E32E1 /* PBXTextBookmark */;
+			A3B0CF800CD00163001E32E1 /* PBXTextBookmark */ = A3B0CF800CD00163001E32E1 /* PBXTextBookmark */;
+			A3B0CF810CD00163001E32E1 /* PBXTextBookmark */ = A3B0CF810CD00163001E32E1 /* PBXTextBookmark */;
+			A3B0CF820CD00163001E32E1 /* PBXTextBookmark */ = A3B0CF820CD00163001E32E1 /* PBXTextBookmark */;
+			A3B0CF830CD00163001E32E1 /* PBXTextBookmark */ = A3B0CF830CD00163001E32E1 /* PBXTextBookmark */;
+			A3B0CF840CD00163001E32E1 /* PBXTextBookmark */ = A3B0CF840CD00163001E32E1 /* PBXTextBookmark */;
+			A3B0CF930CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF930CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF940CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF940CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF950CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF950CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF960CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF960CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF970CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF970CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF980CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF980CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF990CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF990CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF9A0CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF9A0CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF9B0CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF9B0CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF9C0CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF9C0CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CF9D0CD0097E001E32E1 /* PBXTextBookmark */ = A3B0CF9D0CD0097E001E32E1 /* PBXTextBookmark */;
+			A3B0CFA20CD009A1001E32E1 /* PBXTextBookmark */ = A3B0CFA20CD009A1001E32E1 /* PBXTextBookmark */;
+			A3B0CFA30CD009A1001E32E1 /* PBXTextBookmark */ = A3B0CFA30CD009A1001E32E1 /* PBXTextBookmark */;
+			A3B0CFA40CD009A1001E32E1 /* PBXTextBookmark */ = A3B0CFA40CD009A1001E32E1 /* PBXTextBookmark */;
+			A3B0CFA80CD00B25001E32E1 /* PBXTextBookmark */ = A3B0CFA80CD00B25001E32E1 /* PBXTextBookmark */;
+			A3B0CFA90CD00B25001E32E1 /* PBXTextBookmark */ = A3B0CFA90CD00B25001E32E1 /* PBXTextBookmark */;
+			A3B0CFAD0CD00BCD001E32E1 /* PBXTextBookmark */ = A3B0CFAD0CD00BCD001E32E1 /* PBXTextBookmark */;
+			A3B0CFAE0CD00BCD001E32E1 /* PBXTextBookmark */ = A3B0CFAE0CD00BCD001E32E1 /* PBXTextBookmark */;
+			A3B0CFB20CD00C0B001E32E1 /* PBXTextBookmark */ = A3B0CFB20CD00C0B001E32E1 /* PBXTextBookmark */;
+			A3B0CFB30CD00C0B001E32E1 /* PBXTextBookmark */ = A3B0CFB30CD00C0B001E32E1 /* PBXTextBookmark */;
+			A3B0CFB80CD00E1D001E32E1 /* PBXTextBookmark */ = A3B0CFB80CD00E1D001E32E1 /* PBXTextBookmark */;
+			A3B0CFB90CD00E1D001E32E1 /* PBXTextBookmark */ = A3B0CFB90CD00E1D001E32E1 /* PBXTextBookmark */;
+			A3B0CFBD0CD00E62001E32E1 /* PBXTextBookmark */ = A3B0CFBD0CD00E62001E32E1 /* PBXTextBookmark */;
+			A3B0CFBE0CD00E62001E32E1 /* PBXTextBookmark */ = A3B0CFBE0CD00E62001E32E1 /* PBXTextBookmark */;
+			A3B0CFC20CD00F34001E32E1 /* PBXTextBookmark */ = A3B0CFC20CD00F34001E32E1 /* PBXTextBookmark */;
+			A3B0CFC30CD00F34001E32E1 /* PBXTextBookmark */ = A3B0CFC30CD00F34001E32E1 /* PBXTextBookmark */;
+			A3B0CFC40CD01004001E32E1 /* PBXTextBookmark */ = A3B0CFC40CD01004001E32E1 /* PBXTextBookmark */;
+			A3B0CFC70CD01044001E32E1 /* PBXTextBookmark */ = A3B0CFC70CD01044001E32E1 /* PBXTextBookmark */;
+			A3B0CFC80CD01044001E32E1 /* PBXTextBookmark */ = A3B0CFC80CD01044001E32E1 /* PBXTextBookmark */;
+			A3B0CFC90CD01044001E32E1 /* PBXTextBookmark */ = A3B0CFC90CD01044001E32E1 /* PBXTextBookmark */;
+			A3B0CFCC0CD01072001E32E1 /* PBXTextBookmark */ = A3B0CFCC0CD01072001E32E1 /* PBXTextBookmark */;
+			A3B0CFCD0CD01072001E32E1 /* PBXTextBookmark */ = A3B0CFCD0CD01072001E32E1 /* PBXTextBookmark */;
+			A3B0CFD00CD010D0001E32E1 /* PBXTextBookmark */ = A3B0CFD00CD010D0001E32E1 /* PBXTextBookmark */;
+			A3B0CFD10CD010D0001E32E1 /* PBXTextBookmark */ = A3B0CFD10CD010D0001E32E1 /* PBXTextBookmark */;
+			A3B0CFD70CD011D6001E32E1 /* PBXTextBookmark */ = A3B0CFD70CD011D6001E32E1 /* PBXTextBookmark */;
+			A3B0CFD80CD011D6001E32E1 /* PBXTextBookmark */ = A3B0CFD80CD011D6001E32E1 /* PBXTextBookmark */;
+			A3B0CFDB0CD01243001E32E1 /* PBXTextBookmark */ = A3B0CFDB0CD01243001E32E1 /* PBXTextBookmark */;
+			A3B0CFDC0CD01243001E32E1 /* PBXTextBookmark */ = A3B0CFDC0CD01243001E32E1 /* PBXTextBookmark */;
+			A3B0CFDF0CD012E6001E32E1 /* PBXTextBookmark */ = A3B0CFDF0CD012E6001E32E1 /* PBXTextBookmark */;
+			A3B0CFE00CD012E6001E32E1 /* PBXTextBookmark */ = A3B0CFE00CD012E6001E32E1 /* PBXTextBookmark */;
+			A3B0CFE40CD01324001E32E1 /* PBXTextBookmark */ = A3B0CFE40CD01324001E32E1 /* PBXTextBookmark */;
+			A3B0CFE50CD01324001E32E1 /* PBXTextBookmark */ = A3B0CFE50CD01324001E32E1 /* PBXTextBookmark */;
+			A3B0CFE90CD01397001E32E1 /* PBXTextBookmark */ = A3B0CFE90CD01397001E32E1 /* PBXTextBookmark */;
+			A3B0CFEA0CD01397001E32E1 /* PBXTextBookmark */ = A3B0CFEA0CD01397001E32E1 /* PBXTextBookmark */;
+			A3B0CFEB0CD01397001E32E1 /* PBXTextBookmark */ = A3B0CFEB0CD01397001E32E1 /* PBXTextBookmark */;
+			A3B0CFEC0CD01397001E32E1 /* PBXTextBookmark */ = A3B0CFEC0CD01397001E32E1 /* PBXTextBookmark */;
+			A3B0CFED0CD01397001E32E1 /* PBXTextBookmark */ = A3B0CFED0CD01397001E32E1 /* PBXTextBookmark */;
+			A3B0CFF10CD0141F001E32E1 /* PBXTextBookmark */ = A3B0CFF10CD0141F001E32E1 /* PBXTextBookmark */;
+			A3B0CFF20CD0141F001E32E1 /* PBXTextBookmark */ = A3B0CFF20CD0141F001E32E1 /* PBXTextBookmark */;
+			A3B0CFF30CD0141F001E32E1 /* PBXTextBookmark */ = A3B0CFF30CD0141F001E32E1 /* PBXTextBookmark */;
+			A3B0CFF40CD0141F001E32E1 /* PBXTextBookmark */ = A3B0CFF40CD0141F001E32E1 /* PBXTextBookmark */;
+			A3B0CFF50CD0141F001E32E1 /* PBXTextBookmark */ = A3B0CFF50CD0141F001E32E1 /* PBXTextBookmark */;
+			A3B0CFF90CD0147E001E32E1 /* PBXTextBookmark */ = A3B0CFF90CD0147E001E32E1 /* PBXTextBookmark */;
+			A3B0CFFA0CD0147E001E32E1 /* PBXTextBookmark */ = A3B0CFFA0CD0147E001E32E1 /* PBXTextBookmark */;
 			A3D287EC0CC5047400CBC5D0 = A3D287EC0CC5047400CBC5D0 /* PBXTextBookmark */;
-			A3D287F80CC5168F00CBC5D0 = A3D287F80CC5168F00CBC5D0 /* PBXTextBookmark */;
-			A3D288060CC5823D00CBC5D0 = A3D288060CC5823D00CBC5D0 /* PBXTextBookmark */;
-			A3D288100CC5826A00CBC5D0 = A3D288100CC5826A00CBC5D0 /* PBXTextBookmark */;
 			A3D288110CC5826A00CBC5D0 = A3D288110CC5826A00CBC5D0 /* PBXTextBookmark */;
-			A3D288170CC6C93600CBC5D0 /* PBXTextBookmark */ = A3D288170CC6C93600CBC5D0 /* PBXTextBookmark */;
-			A3D288250CC6CA3100CBC5D0 /* PBXTextBookmark */ = A3D288250CC6CA3100CBC5D0 /* PBXTextBookmark */;
-			A3D288260CC6CA3100CBC5D0 /* PBXTextBookmark */ = A3D288260CC6CA3100CBC5D0 /* PBXTextBookmark */;
-			A3D288270CC6CA3100CBC5D0 /* PBXTextBookmark */ = A3D288270CC6CA3100CBC5D0 /* PBXTextBookmark */;
-			A3D288280CC6CA3100CBC5D0 /* PBXTextBookmark */ = A3D288280CC6CA3100CBC5D0 /* PBXTextBookmark */;
-			A3D288290CC6CA3100CBC5D0 /* PBXTextBookmark */ = A3D288290CC6CA3100CBC5D0 /* PBXTextBookmark */;
-			A3D2882D0CC6CA3100CBC5D0 /* PBXTextBookmark */ = A3D2882D0CC6CA3100CBC5D0 /* PBXTextBookmark */;
-			A3D288370CC6CB0A00CBC5D0 /* PBXTextBookmark */ = A3D288370CC6CB0A00CBC5D0 /* PBXTextBookmark */;
-			A3D288380CC6CB0A00CBC5D0 /* PBXTextBookmark */ = A3D288380CC6CB0A00CBC5D0 /* PBXTextBookmark */;
-			A3D288390CC6CB0A00CBC5D0 /* PBXTextBookmark */ = A3D288390CC6CB0A00CBC5D0 /* PBXTextBookmark */;
-			A3D2883A0CC6CB0A00CBC5D0 /* PBXTextBookmark */ = A3D2883A0CC6CB0A00CBC5D0 /* PBXTextBookmark */;
-			A3D2883B0CC6CB0A00CBC5D0 /* PBXTextBookmark */ = A3D2883B0CC6CB0A00CBC5D0 /* PBXTextBookmark */;
-			A3D2883C0CC6CB0A00CBC5D0 /* PBXTextBookmark */ = A3D2883C0CC6CB0A00CBC5D0 /* PBXTextBookmark */;
-			A3D2883D0CC6CB0A00CBC5D0 /* PBXTextBookmark */ = A3D2883D0CC6CB0A00CBC5D0 /* PBXTextBookmark */;
-			A3D288410CC6CB8E00CBC5D0 /* PBXTextBookmark */ = A3D288410CC6CB8E00CBC5D0 /* PBXTextBookmark */;
-			A3D288420CC6CB8E00CBC5D0 /* PBXTextBookmark */ = A3D288420CC6CB8E00CBC5D0 /* PBXTextBookmark */;
-			A3D288430CC6CB8E00CBC5D0 /* PBXTextBookmark */ = A3D288430CC6CB8E00CBC5D0 /* PBXTextBookmark */;
-			A3D288440CC6CB8E00CBC5D0 /* PBXTextBookmark */ = A3D288440CC6CB8E00CBC5D0 /* PBXTextBookmark */;
-			A3D288450CC6CB8E00CBC5D0 /* PBXTextBookmark */ = A3D288450CC6CB8E00CBC5D0 /* PBXTextBookmark */;
+			A3D288260CC6CA3100CBC5D0 = A3D288260CC6CA3100CBC5D0 /* PBXTextBookmark */;
+			A3D288270CC6CA3100CBC5D0 = A3D288270CC6CA3100CBC5D0 /* PBXTextBookmark */;
+			A3D288280CC6CA3100CBC5D0 = A3D288280CC6CA3100CBC5D0 /* PBXTextBookmark */;
+			A3D288380CC6CB0A00CBC5D0 = A3D288380CC6CB0A00CBC5D0 /* PBXTextBookmark */;
+			A3D2883A0CC6CB0A00CBC5D0 = A3D2883A0CC6CB0A00CBC5D0 /* PBXTextBookmark */;
+			A3D2883B0CC6CB0A00CBC5D0 = A3D2883B0CC6CB0A00CBC5D0 /* PBXTextBookmark */;
+			A3D288410CC6CB8E00CBC5D0 = A3D288410CC6CB8E00CBC5D0 /* PBXTextBookmark */;
+			A3D288420CC6CB8E00CBC5D0 = A3D288420CC6CB8E00CBC5D0 /* PBXTextBookmark */;
+			A3D288430CC6CB8E00CBC5D0 = A3D288430CC6CB8E00CBC5D0 /* PBXTextBookmark */;
+			A3D288490CC6DC8E00CBC5D0 = A3D288490CC6DC8E00CBC5D0 /* PBXTextBookmark */;
+			A3D2884A0CC6DC8E00CBC5D0 = A3D2884A0CC6DC8E00CBC5D0 /* PBXTextBookmark */;
 			A3D78E650CB72FF100A79632 = A3D78E650CB72FF100A79632 /* PBXTextBookmark */;
 		};
 		sourceControlManager = A341617E0C989B510007BEF2 /* Source Control */;
@@ -207,17 +294,17 @@
 	};
 	00E68290FEC88D7311DB9C8B /* Colonet.java */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {991, 16170}}";
-			sepNavSelRange = "{12768, 0}";
-			sepNavVisRect = "{{0, 4945}, {991, 305}}";
+			sepNavIntBoundsRect = "{{0, 0}, {1011, 17248}}";
+			sepNavSelRange = "{19292, 0}";
+			sepNavVisRect = "{{0, 8546}, {1011, 558}}";
 			sepNavWindowFrame = "{{38, 133}, {613, 699}}";
 		};
 	};
 	00E68291FEC88ED911DB9C8B /* index.html */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {764, 924}}";
-			sepNavSelRange = "{757, 0}";
-			sepNavVisRect = "{{0, 0}, {0, 0}}";
+			sepNavIntBoundsRect = "{{0, 0}, {1011, 896}}";
+			sepNavSelRange = "{774, 0}";
+			sepNavVisRect = "{{0, 182}, {1011, 558}}";
 			sepNavWindowFrame = "{{597, 56}, {651, 776}}";
 		};
 	};
@@ -262,7 +349,7 @@
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
 		name = "Colonet.java: 300";
 		rLen = 0;
-		rLoc = 10884;
+		rLoc = 11049;
 		rType = 0;
 		vrLen = 949;
 		vrLoc = 0;
@@ -282,7 +369,7 @@
 		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
 		name = "ColonetServerInterface.java: 251";
 		rLen = 0;
-		rLoc = 7004;
+		rLoc = 6851;
 		rType = 0;
 		vrLen = 0;
 		vrLoc = 0;
@@ -340,182 +427,1072 @@
 	};
 	A34161900C989CB30007BEF2 /* ColonetServerInterface.java */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {1011, 5138}}";
-			sepNavSelRange = "{9495, 6}";
-			sepNavVisRect = "{{0, 4580}, {1011, 558}}";
+			sepNavIntBoundsRect = "{{0, 0}, {1011, 5068}}";
+			sepNavSelRange = "{5919, 0}";
+			sepNavVisRect = "{{0, 4510}, {1011, 558}}";
 			sepNavWindowFrame = "{{15, 56}, {651, 776}}";
 		};
 	};
-	A3D287E80CC5047400CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF2B0CCFE11A001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68291FEC88ED911DB9C8B /* index.html */;
-		name = "index.html: 33";
+		name = "index.html: 25";
 		rLen = 0;
-		rLoc = 980;
+		rLoc = 774;
 		rType = 0;
-		vrLen = 961;
-		vrLoc = 408;
+		vrLen = 1103;
+		vrLoc = 434;
 	};
-	A3D287E90CC5047400CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF320CCFE191001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
-		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
-		name = "ColonetServerInterface.java: 234";
+		fRef = 00E68291FEC88ED911DB9C8B /* index.html */;
+		name = "index.html: 25";
 		rLen = 0;
-		rLoc = 6512;
+		rLoc = 774;
 		rType = 0;
-		vrLen = 1118;
-		vrLoc = 5886;
+		vrLen = 1103;
+		vrLoc = 434;
 	};
-	A3D287EC0CC5047400CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF330CCFE191001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = append;
+		rLen = 6;
+		rLoc = 9342;
+		rType = 0;
+		vrLen = 959;
+		vrLoc = 9009;
+	};
+	A3B0CF340CCFE191001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
 		fRef = 00E68291FEC88ED911DB9C8B /* index.html */;
-		name = "index.html: 33";
+		name = "index.html: 25";
 		rLen = 0;
-		rLoc = 980;
+		rLoc = 774;
 		rType = 0;
-		vrLen = 961;
-		vrLoc = 408;
+		vrLen = 1103;
+		vrLoc = 434;
 	};
-	A3D287F80CC5168F00CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF350CCFE191001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = append;
+		rLen = 6;
+		rLoc = 9342;
+		rType = 0;
+		vrLen = 959;
+		vrLoc = 9009;
+	};
+	A3B0CF360CCFE191001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = "Colonet.java: 55";
+		name = "Colonet.java: 1027";
 		rLen = 0;
-		rLoc = 1181;
+		rLoc = 30083;
 		rType = 0;
-		vrLen = 916;
-		vrLoc = 690;
+		vrLen = 1019;
+		vrLoc = 28359;
 	};
-	A3D288060CC5823D00CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF370CCFE198001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = "Colonet.java: 383";
+		name = "Colonet.java: 1027";
 		rLen = 0;
-		rLoc = 12768;
+		rLoc = 30083;
 		rType = 0;
-		vrLen = 1160;
-		vrLoc = 11448;
+		vrLen = 1019;
+		vrLoc = 28359;
 	};
-	A3D288100CC5826A00CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF380CCFE198001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = "Colonet.java: 383";
+		name = "Colonet.java: 1027";
 		rLen = 0;
-		rLoc = 12768;
+		rLoc = 30083;
 		rType = 0;
-		vrLen = 1160;
-		vrLoc = 11448;
+		vrLen = 573;
+		vrLoc = 28577;
 	};
-	A3D288110CC5826A00CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF410CCFE1F7001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = "Colonet.java: 383";
+		name = "Colonet.java: 1027";
 		rLen = 0;
-		rLoc = 12768;
+		rLoc = 30083;
 		rType = 0;
-		vrLen = 690;
-		vrLoc = 11918;
+		vrLen = 989;
+		vrLoc = 28359;
 	};
-	A3D288170CC6C93600CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF420CCFE1F7001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = "Colonet.java: 383";
+		name = "Colonet.java: 1033";
 		rLen = 0;
-		rLoc = 12768;
+		rLoc = 32189;
 		rType = 0;
-		vrLen = 690;
-		vrLoc = 11918;
+		vrLen = 519;
+		vrLoc = 28577;
 	};
-	A3D288250CC6CA3100CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF430CCFE260001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = "Colonet.java: 208";
+		name = "Colonet.java: 1033";
 		rLen = 0;
-		rLoc = 6381;
+		rLoc = 32189;
 		rType = 0;
-		vrLen = 1699;
-		vrLoc = 5676;
+		vrLen = 483;
+		vrLoc = 27211;
 	};
-	A3D288260CC6CA3100CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF470CCFE362001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
-		fRef = A34161820C989C090007BEF2 /* colonetstyle.css */;
-		name = "colonetstyle.css: 1";
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 977";
 		rLen = 0;
-		rLoc = 0;
+		rLoc = 28603;
 		rType = 0;
-		vrLen = 449;
+		vrLen = 989;
+		vrLoc = 27175;
+	};
+	A3B0CF480CCFE365001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 977";
+		rLen = 0;
+		rLoc = 28603;
+		rType = 0;
+		vrLen = 993;
+		vrLoc = 27167;
+	};
+	A3B0CF490CCFE365001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 977";
+		rLen = 0;
+		rLoc = 28603;
+		rType = 0;
+		vrLen = 545;
+		vrLoc = 27201;
+	};
+	A3B0CF4C0CCFE487001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 979";
+		rLen = 0;
+		rLoc = 28734;
+		rType = 0;
+		vrLen = 606;
+		vrLoc = 27332;
+	};
+	A3B0CF500CCFE4BB001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 634";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 892;
+		vrLoc = 19681;
+	};
+	A3B0CF510CCFE4BD001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 634";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 928;
+		vrLoc = 19560;
+	};
+	A3B0CF520CCFE4BD001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 634";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 442;
+		vrLoc = 20131;
+	};
+	A3B0CF530CCFE50B001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 634";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 442;
+		vrLoc = 20131;
+	};
+	A3B0CF570CCFE51B001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 633";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 1092;
+		vrLoc = 19842;
+	};
+	A3B0CF580CCFE51E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 633";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 896;
+		vrLoc = 19557;
+	};
+	A3B0CF590CCFE51E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 633";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 470;
+		vrLoc = 20138;
+	};
+	A3B0CF5A0CCFE559001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 633";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 470;
+		vrLoc = 20138;
+	};
+	A3B0CF5C0CCFE565001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 633";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 1085;
+		vrLoc = 19887;
+	};
+	A3B0CF5D0CCFE565001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 633";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 470;
+		vrLoc = 20138;
+	};
+	A3B0CF610CCFF662001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1039";
+		rLen = 0;
+		rLoc = 32189;
+		rType = 0;
+		vrLen = 1002;
+		vrLoc = 28571;
+	};
+	A3B0CF620CCFF662001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 633";
+		rLen = 0;
+		rLoc = 18353;
+		rType = 0;
+		vrLen = 470;
+		vrLoc = 20138;
+	};
+	A3B0CF650CCFFA8F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 72";
+		rLen = 0;
+		rLoc = 2110;
+		rType = 0;
+		vrLen = 1665;
+		vrLoc = 946;
+	};
+	A3B0CF660CCFFA8F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1036";
+		rLen = 0;
+		rLoc = 32008;
+		rType = 0;
+		vrLen = 1057;
+		vrLoc = 28647;
+	};
+	A3B0CF670CCFFA8F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1036";
+		rLen = 0;
+		rLoc = 32008;
+		rType = 0;
+		vrLen = 1057;
+		vrLoc = 28647;
+	};
+	A3B0CF680CCFFA8F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 72";
+		rLen = 0;
+		rLoc = 2110;
+		rType = 0;
+		vrLen = 1710;
+		vrLoc = 1008;
+	};
+	A3B0CF690CCFFA8F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1036";
+		rLen = 0;
+		rLoc = 32008;
+		rType = 0;
+		vrLen = 1057;
+		vrLoc = 28647;
+	};
+	A3B0CF6A0CCFFA8F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 72";
+		rLen = 0;
+		rLoc = 2110;
+		rType = 0;
+		vrLen = 1665;
+		vrLoc = 946;
+	};
+	A3B0CF6B0CCFFA8F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1036";
+		rLen = 0;
+		rLoc = 32008;
+		rType = 0;
+		vrLen = 1057;
+		vrLoc = 28647;
+	};
+	A3B0CF6C0CCFFA91001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1036";
+		rLen = 0;
+		rLoc = 32008;
+		rType = 0;
+		vrLen = 1060;
+		vrLoc = 28644;
+	};
+	A3B0CF6D0CCFFA91001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1036";
+		rLen = 0;
+		rLoc = 32008;
+		rType = 0;
+		vrLen = 642;
+		vrLoc = 28647;
+	};
+	A3B0CF740CCFFFF2001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1041";
+		rLen = 0;
+		rLoc = 32008;
+		rType = 0;
+		vrLen = 1214;
+		vrLoc = 28644;
+	};
+	A3B0CF750CCFFFF2001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1039";
+		rLen = 0;
+		rLoc = 31872;
+		rType = 0;
+		vrLen = 804;
+		vrLoc = 28897;
+	};
+	A3B0CF760CD00046001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1039";
+		rLen = 0;
+		rLoc = 31872;
+		rType = 0;
+		vrLen = 804;
+		vrLoc = 28897;
+	};
+	A3B0CF770CD00046001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1039";
+		rLen = 0;
+		rLoc = 31872;
+		rType = 0;
+		vrLen = 804;
+		vrLoc = 28897;
+	};
+	A3B0CF780CD00046001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 249";
+		rLen = 0;
+		rLoc = 6851;
+		rType = 0;
+		vrLen = 375;
 		vrLoc = 0;
 	};
-	A3D288270CC6CA3100CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF800CD00163001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 230";
+		rLen = 0;
+		rLoc = 6238;
+		rType = 0;
+		vrLen = 1170;
+		vrLoc = 5795;
+	};
+	A3B0CF810CD00163001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = "Colonet.java: 208";
+		name = "Colonet.java: 1041";
 		rLen = 0;
-		rLoc = 6381;
+		rLoc = 32008;
 		rType = 0;
-		vrLen = 1699;
-		vrLoc = 5676;
+		vrLen = 1249;
+		vrLoc = 28723;
 	};
-	A3D288280CC6CA3100CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF820CD00163001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
-		fRef = A34161820C989C090007BEF2 /* colonetstyle.css */;
-		name = "colonetstyle.css: 1";
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 230";
 		rLen = 0;
-		rLoc = 0;
+		rLoc = 6238;
 		rType = 0;
-		vrLen = 449;
+		vrLen = 1170;
+		vrLoc = 5795;
+	};
+	A3B0CF830CD00163001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1036";
+		rLen = 0;
+		rLoc = 31578;
+		rType = 0;
+		vrLen = 1275;
+		vrLoc = 28723;
+	};
+	A3B0CF840CD00163001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 249";
+		rLen = 0;
+		rLoc = 6851;
+		rType = 0;
+		vrLen = 375;
 		vrLoc = 0;
 	};
-	A3D288290CC6CA3100CBC5D0 /* PBXTextBookmark */ = {
+	A3B0CF930CD0097E001E32E1 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 170";
+		rLen = 0;
+		rLoc = 4695;
+		rType = 0;
+		vrLen = 1184;
+		vrLoc = 4637;
+	};
+	A3B0CF940CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "vectorController.sendToServer();";
+		rLen = 0;
+		rLoc = 11680;
+		rType = 0;
+		vrLen = 1466;
+		vrLoc = 30068;
+	};
+	A3B0CF950CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1036";
+		rLen = 0;
+		rLoc = 31578;
+		rType = 0;
+		vrLen = 1182;
+		vrLoc = 28680;
+	};
+	A3B0CF960CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 230";
+		rLen = 0;
+		rLoc = 6238;
+		rType = 0;
+		vrLen = 1494;
+		vrLoc = 1621;
+	};
+	A3B0CF970CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1037";
+		rLen = 0;
+		rLoc = 31578;
+		rType = 0;
+		vrLen = 1349;
+		vrLoc = 28967;
+	};
+	A3B0CF980CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 170";
+		rLen = 0;
+		rLoc = 4695;
+		rType = 0;
+		vrLen = 1254;
+		vrLoc = 4109;
+	};
+	A3B0CF990CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1037";
+		rLen = 0;
+		rLoc = 31578;
+		rType = 0;
+		vrLen = 1313;
+		vrLoc = 28916;
+	};
+	A3B0CF9A0CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 170";
+		rLen = 0;
+		rLoc = 4695;
+		rType = 0;
+		vrLen = 1226;
+		vrLoc = 4637;
+	};
+	A3B0CF9B0CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "vectorController.sendToServer();";
+		rLen = 0;
+		rLoc = 11680;
+		rType = 0;
+		vrLen = 1466;
+		vrLoc = 30068;
+	};
+	A3B0CF9C0CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 170";
+		rLen = 0;
+		rLoc = 4695;
+		rType = 0;
+		vrLen = 1184;
+		vrLoc = 4637;
+	};
+	A3B0CF9D0CD0097E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1046";
+		rLen = 0;
+		rLoc = 31952;
+		rType = 0;
+		vrLen = 1252;
+		vrLoc = 28620;
+	};
+	A3B0CFA20CD009A1001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1046";
+		rLen = 0;
+		rLoc = 31952;
+		rType = 0;
+		vrLen = 1290;
+		vrLoc = 28845;
+	};
+	A3B0CFA30CD009A1001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 244";
+		rLen = 0;
+		rLoc = 6851;
+		rType = 0;
+		vrLen = 375;
+		vrLoc = 0;
+	};
+	A3B0CFA40CD009A1001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1046";
+		rLen = 0;
+		rLoc = 31952;
+		rType = 0;
+		vrLen = 901;
+		vrLoc = 28971;
+	};
+	A3B0CFA80CD00B25001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1053";
+		rLen = 0;
+		rLoc = 31952;
+		rType = 0;
+		vrLen = 1388;
+		vrLoc = 28845;
+	};
+	A3B0CFA90CD00B25001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1043";
+		rLen = 0;
+		rLoc = 30471;
+		rType = 0;
+		vrLen = 1063;
+		vrLoc = 28974;
+	};
+	A3B0CFAD0CD00BCD001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1056";
+		rLen = 0;
+		rLoc = 31952;
+		rType = 0;
+		vrLen = 1647;
+		vrLoc = 28845;
+	};
+	A3B0CFAE0CD00BCD001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1046";
+		rLen = 0;
+		rLoc = 30725;
+		rType = 0;
+		vrLen = 1264;
+		vrLoc = 28971;
+	};
+	A3B0CFB20CD00C0B001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1056";
+		rLen = 0;
+		rLoc = 31952;
+		rType = 0;
+		vrLen = 1647;
+		vrLoc = 28845;
+	};
+	A3B0CFB30CD00C0B001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1042";
+		rLen = 0;
+		rLoc = 30359;
+		rType = 0;
+		vrLen = 1264;
+		vrLoc = 28971;
+	};
+	A3B0CFB80CD00E1D001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1062";
+		rLen = 0;
+		rLoc = 31952;
+		rType = 0;
+		vrLen = 2029;
+		vrLoc = 28845;
+	};
+	A3B0CFB90CD00E1D001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1050";
+		rLen = 0;
+		rLoc = 31079;
+		rType = 0;
+		vrLen = 1449;
+		vrLoc = 29194;
+	};
+	A3B0CFBD0CD00E62001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1062";
+		rLen = 0;
+		rLoc = 31952;
+		rType = 0;
+		vrLen = 2029;
+		vrLoc = 28845;
+	};
+	A3B0CFBE0CD00E62001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1052";
+		rLen = 0;
+		rLoc = 31240;
+		rType = 0;
+		vrLen = 1449;
+		vrLoc = 29194;
+	};
+	A3B0CFC20CD00F34001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1064";
+		rLen = 0;
+		rLoc = 31952;
+		rType = 0;
+		vrLen = 2069;
+		vrLoc = 28845;
+	};
+	A3B0CFC30CD00F34001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1054";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 1407;
+		vrLoc = 29194;
+	};
+	A3B0CFC40CD01004001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1054";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 1407;
+		vrLoc = 29194;
+	};
+	A3B0CFC70CD01044001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1054";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 2096;
+		vrLoc = 28916;
+	};
+	A3B0CFC80CD01044001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 656";
+		rLen = 0;
+		rLoc = 19490;
+		rType = 0;
+		vrLen = 964;
+		vrLoc = 20132;
+	};
+	A3B0CFC90CD01044001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1061";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 1386;
+		vrLoc = 29235;
+	};
+	A3B0CFCC0CD01072001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 659";
+		rLen = 0;
+		rLoc = 19452;
+		rType = 0;
+		vrLen = 963;
+		vrLoc = 20132;
+	};
+	A3B0CFCD0CD01072001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1065";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 1513;
+		vrLoc = 29143;
+	};
+	A3B0CFD00CD010D0001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 660";
+		rLen = 0;
+		rLoc = 19366;
+		rType = 0;
+		vrLen = 959;
+		vrLoc = 20552;
+	};
+	A3B0CFD10CD010D0001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1071";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 1137;
+		vrLoc = 29191;
+	};
+	A3B0CFD70CD011D6001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 612";
+		rLen = 0;
+		rLoc = 19288;
+		rType = 0;
+		vrLen = 948;
+		vrLoc = 18516;
+	};
+	A3B0CFD80CD011D6001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1091";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 516;
+		vrLoc = 29351;
+	};
+	A3B0CFDB0CD01243001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 615";
+		rLen = 0;
+		rLoc = 19366;
+		rType = 0;
+		vrLen = 1124;
+		vrLoc = 19034;
+	};
+	A3B0CFDC0CD01243001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1089";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 29421;
+	};
+	A3B0CFDF0CD012E6001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 612";
+		rLen = 0;
+		rLoc = 19292;
+		rType = 0;
+		vrLen = 1033;
+		vrLoc = 18575;
+	};
+	A3B0CFE00CD012E6001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1089";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 29426;
+	};
+	A3B0CFE40CD01324001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 612";
+		rLen = 0;
+		rLoc = 19292;
+		rType = 0;
+		vrLen = 1024;
+		vrLoc = 18575;
+	};
+	A3B0CFE50CD01324001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1089";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 29417;
+	};
+	A3B0CFE90CD01397001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 612";
+		rLen = 0;
+		rLoc = 19292;
+		rType = 0;
+		vrLen = 1100;
+		vrLoc = 19222;
+	};
+	A3B0CFEA0CD01397001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 170";
+		rLen = 0;
+		rLoc = 4695;
+		rType = 0;
+		vrLen = 1184;
+		vrLoc = 4637;
+	};
+	A3B0CFEB0CD01397001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 612";
+		rLen = 0;
+		rLoc = 19292;
+		rType = 0;
+		vrLen = 1100;
+		vrLoc = 19222;
+	};
+	A3B0CFEC0CD01397001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 214";
+		rLen = 0;
+		rLoc = 5919;
+		rType = 0;
+		vrLen = 1080;
+		vrLoc = 5434;
+	};
+	A3B0CFED0CD01397001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1089";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 29417;
+	};
+	A3B0CFF10CD0141F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 214";
+		rLen = 0;
+		rLoc = 5919;
+		rType = 0;
+		vrLen = 956;
+		vrLoc = 8860;
+	};
+	A3B0CFF20CD0141F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 612";
+		rLen = 0;
+		rLoc = 19292;
+		rType = 0;
+		vrLen = 1069;
+		vrLoc = 19222;
+	};
+	A3B0CFF30CD0141F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
+		name = "ColonetServerInterface.java: 214";
+		rLen = 0;
+		rLoc = 5919;
+		rType = 0;
+		vrLen = 956;
+		vrLoc = 8860;
+	};
+	A3B0CFF40CD0141F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1090";
+		rLen = 0;
+		rLoc = 31490;
+		rType = 0;
+		vrLen = 2277;
+		vrLoc = 29909;
+	};
+	A3B0CFF50CD0141F001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1090";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 29417;
+	};
+	A3B0CFF90CD0147E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1080";
+		rLen = 0;
+		rLoc = 30626;
+		rType = 0;
+		vrLen = 2277;
+		vrLoc = 29909;
+	};
+	A3B0CFFA0CD0147E001E32E1 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 1090";
+		rLen = 0;
+		rLoc = 31530;
+		rType = 0;
+		vrLen = 471;
+		vrLoc = 29417;
+	};
+	A3D287EC0CC5047400CBC5D0 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
 		fRef = 00E68291FEC88ED911DB9C8B /* index.html */;
-		name = "index.html: 25";
+		name = "index.html: 33";
 		rLen = 0;
-		rLoc = 775;
+		rLoc = 980;
 		rType = 0;
-		vrLen = 1156;
-		vrLoc = 434;
+		vrLen = 961;
+		vrLoc = 408;
 	};
-	A3D2882D0CC6CA3100CBC5D0 /* PBXTextBookmark */ = {
+	A3D288110CC5826A00CBC5D0 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
 		name = "Colonet.java: 383";
 		rLen = 0;
-		rLoc = 12768;
+		rLoc = 11680;
 		rType = 0;
 		vrLen = 690;
 		vrLoc = 11918;
 	};
-	A3D288370CC6CB0A00CBC5D0 /* PBXTextBookmark */ = {
+	A3D288260CC6CA3100CBC5D0 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
-		fRef = 00E68291FEC88ED911DB9C8B /* index.html */;
-		name = "index.html: 25";
+		fRef = A34161820C989C090007BEF2 /* colonetstyle.css */;
+		name = "colonetstyle.css: 1";
 		rLen = 0;
-		rLoc = 775;
+		rLoc = 0;
 		rType = 0;
-		vrLen = 1156;
-		vrLoc = 434;
+		vrLen = 449;
+		vrLoc = 0;
 	};
+	A3D288270CC6CA3100CBC5D0 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
+		name = "Colonet.java: 208";
+		rLen = 0;
+		rLoc = 6394;
+		rType = 0;
+		vrLen = 1699;
+		vrLoc = 5676;
+	};
+	A3D288280CC6CA3100CBC5D0 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = A34161820C989C090007BEF2 /* colonetstyle.css */;
+		name = "colonetstyle.css: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 449;
+		vrLoc = 0;
+	};
 	A3D288380CC6CB0A00CBC5D0 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
 		name = append;
 		rLen = 6;
-		rLoc = 9495;
+		rLoc = 9342;
 		rType = 0;
 		vrLen = 956;
 		vrLoc = 9013;
 	};
-	A3D288390CC6CB0A00CBC5D0 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = "Colonet.java: 208";
-		rLen = 0;
-		rLoc = 6381;
-		rType = 0;
-		vrLen = 1642;
-		vrLoc = 5733;
-	};
 	A3D2883A0CC6CB0A00CBC5D0 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68291FEC88ED911DB9C8B /* index.html */;
@@ -531,37 +1508,17 @@
 		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
 		name = append;
 		rLen = 6;
-		rLoc = 9495;
+		rLoc = 9342;
 		rType = 0;
 		vrLen = 956;
 		vrLoc = 9013;
 	};
-	A3D2883C0CC6CB0A00CBC5D0 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = append;
-		rLen = 6;
-		rLoc = 19091;
-		rType = 0;
-		vrLen = 831;
-		vrLoc = 18651;
-	};
-	A3D2883D0CC6CB0A00CBC5D0 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
-		name = "Colonet.java: 383";
-		rLen = 0;
-		rLoc = 12768;
-		rType = 0;
-		vrLen = 690;
-		vrLoc = 11918;
-	};
 	A3D288410CC6CB8E00CBC5D0 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
 		name = append;
 		rLen = 6;
-		rLoc = 19091;
+		rLoc = 17371;
 		rType = 0;
 		vrLen = 831;
 		vrLoc = 18651;
@@ -581,27 +1538,27 @@
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
 		name = append;
 		rLen = 6;
-		rLoc = 19091;
+		rLoc = 17371;
 		rType = 0;
 		vrLen = 831;
 		vrLoc = 18651;
 	};
-	A3D288440CC6CB8E00CBC5D0 /* PBXTextBookmark */ = {
+	A3D288490CC6DC8E00CBC5D0 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68291FEC88ED911DB9C8B /* index.html */;
-		name = "index.html: 24";
+		name = "index.html: 25";
 		rLen = 0;
-		rLoc = 757;
+		rLoc = 774;
 		rType = 0;
 		vrLen = 1103;
 		vrLoc = 434;
 	};
-	A3D288450CC6CB8E00CBC5D0 /* PBXTextBookmark */ = {
+	A3D2884A0CC6DC8E00CBC5D0 /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 00E68290FEC88D7311DB9C8B /* Colonet.java */;
 		name = "Colonet.java: 383";
 		rLen = 0;
-		rLoc = 12768;
+		rLoc = 11680;
 		rType = 0;
 		vrLen = 690;
 		vrLoc = 11918;
@@ -617,7 +1574,7 @@
 		fRef = A34161900C989CB30007BEF2 /* ColonetServerInterface.java */;
 		name = "ColonetServerInterface.java: 251";
 		rLen = 0;
-		rLoc = 7004;
+		rLoc = 6851;
 		rType = 0;
 		vrLen = 959;
 		vrLoc = 9006;
Index: trunk/code/projects/colonet/ColonetGUI/Colonet.xcodeproj/gmtress.perspective
===================================================================
--- trunk/code/projects/colonet/ColonetGUI/Colonet.xcodeproj/gmtress.perspective	(revision 180)
+++ trunk/code/projects/colonet/ColonetGUI/Colonet.xcodeproj/gmtress.perspective	(revision 181)
@@ -269,7 +269,7 @@
 							<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 							<array>
 								<array>
-									<integer>3</integer>
+									<integer>1</integer>
 									<integer>0</integer>
 								</array>
 							</array>
@@ -311,7 +311,7 @@
 								<key>PBXProjectModuleGUID</key>
 								<string>A34161A50C989E610007BEF2</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>index.html</string>
+								<string>Colonet.java</string>
 								<key>PBXSplitModuleInNavigatorKey</key>
 								<dict>
 									<key>Split0</key>
@@ -319,17 +319,17 @@
 										<key>PBXProjectModuleGUID</key>
 										<string>A34161A60C989E610007BEF2</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>index.html</string>
+										<string>Colonet.java</string>
 										<key>_historyCapacity</key>
 										<integer>0</integer>
 										<key>bookmark</key>
-										<string>A3D288440CC6CB8E00CBC5D0</string>
+										<string>A3B0CFF90CD0147E001E32E1</string>
 										<key>history</key>
 										<array>
 											<string>A3D288260CC6CA3100CBC5D0</string>
-											<string>A3D288380CC6CB0A00CBC5D0</string>
-											<string>A3D288410CC6CB8E00CBC5D0</string>
-											<string>A3D288420CC6CB8E00CBC5D0</string>
+											<string>A3B0CF320CCFE191001E32E1</string>
+											<string>A3B0CFF10CD0141F001E32E1</string>
+											<string>A3B0CFF20CD0141F001E32E1</string>
 										</array>
 										<key>prevStack</key>
 										<array>
@@ -337,11 +337,23 @@
 											<string>A3D78E650CB72FF100A79632</string>
 											<string>A30FC0970CBD7DFA000A16EC</string>
 											<string>A3D287EC0CC5047400CBC5D0</string>
-											<string>A3D288270CC6CA3100CBC5D0</string>
-											<string>A3D288280CC6CA3100CBC5D0</string>
-											<string>A3D2883A0CC6CB0A00CBC5D0</string>
-											<string>A3D2883B0CC6CB0A00CBC5D0</string>
-											<string>A3D288430CC6CB8E00CBC5D0</string>
+											<string>A3B0CF340CCFE191001E32E1</string>
+											<string>A3B0CF350CCFE191001E32E1</string>
+											<string>A3B0CF670CCFFA8F001E32E1</string>
+											<string>A3B0CF680CCFFA8F001E32E1</string>
+											<string>A3B0CF690CCFFA8F001E32E1</string>
+											<string>A3B0CF6A0CCFFA8F001E32E1</string>
+											<string>A3B0CF820CD00163001E32E1</string>
+											<string>A3B0CF950CD0097E001E32E1</string>
+											<string>A3B0CF960CD0097E001E32E1</string>
+											<string>A3B0CF970CD0097E001E32E1</string>
+											<string>A3B0CF980CD0097E001E32E1</string>
+											<string>A3B0CF990CD0097E001E32E1</string>
+											<string>A3B0CF9A0CD0097E001E32E1</string>
+											<string>A3B0CF9B0CD0097E001E32E1</string>
+											<string>A3B0CF9C0CD0097E001E32E1</string>
+											<string>A3B0CFEB0CD01397001E32E1</string>
+											<string>A3B0CFF30CD0141F001E32E1</string>
 										</array>
 									</dict>
 									<key>SplitCount</key>
@@ -441,11 +453,11 @@
 			</array>
 			<key>TableOfContents</key>
 			<array>
-				<string>A3D2882A0CC6CA3100CBC5D0</string>
+				<string>A3B0CF2C0CCFE11A001E32E1</string>
 				<string>1CA23ED40692098700951B8B</string>
-				<string>A3D2882B0CC6CA3100CBC5D0</string>
+				<string>A3B0CF2D0CCFE11A001E32E1</string>
 				<string>A34161A50C989E610007BEF2</string>
-				<string>A3D2882C0CC6CA3100CBC5D0</string>
+				<string>A3B0CF2E0CCFE11A001E32E1</string>
 				<string>1CA23EDF0692099D00951B8B</string>
 				<string>1CA23EE00692099D00951B8B</string>
 				<string>1CA23EE10692099D00951B8B</string>
@@ -558,13 +570,13 @@
 										<key>_historyCapacity</key>
 										<integer>0</integer>
 										<key>bookmark</key>
-										<string>A3D288450CC6CB8E00CBC5D0</string>
+										<string>A3B0CFFA0CD0147E001E32E1</string>
 										<key>history</key>
 										<array>
 											<string>A31266650C9B131A00D15EBF</string>
-											<string>A30FC0E20CBD7F47000A16EC</string>
 											<string>A30FC13A0CBD8587000A16EC</string>
-											<string>A3D288110CC5826A00CBC5D0</string>
+											<string>A3B0CFA30CD009A1001E32E1</string>
+											<string>A3B0CF9D0CD0097E001E32E1</string>
 										</array>
 										<key>prevStack</key>
 										<array>
@@ -572,6 +584,7 @@
 											<string>A3D78E650CB72FF100A79632</string>
 											<string>A30FC0970CBD7DFA000A16EC</string>
 											<string>A30FC0A60CBD7E05000A16EC</string>
+											<string>A3B0CF770CD00046001E32E1</string>
 										</array>
 									</dict>
 									<key>SplitCount</key>
@@ -692,14 +705,14 @@
 			</array>
 			<key>TableOfContents</key>
 			<array>
-				<string>A3D2882E0CC6CA3100CBC5D0</string>
+				<string>A3B0CF390CCFE198001E32E1</string>
 				<string>1CA23EE50692099D00951B8B</string>
-				<string>A3D2882F0CC6CA3100CBC5D0</string>
+				<string>A3B0CF3A0CCFE198001E32E1</string>
 				<string>A34161AC0C989F140007BEF2</string>
-				<string>A3D288300CC6CA3100CBC5D0</string>
+				<string>A3B0CF3B0CCFE198001E32E1</string>
 				<string>XCMainBuildResultsModuleGUID</string>
 				<string>1CA23EE80692099D00951B8B</string>
-				<string>A3D288310CC6CA3100CBC5D0</string>
+				<string>A3B0CF3C0CCFE198001E32E1</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.buildAndRun</string>
Index: trunk/code/projects/colonet/ColonetGUI/Colonet.java
===================================================================
--- trunk/code/projects/colonet/ColonetGUI/Colonet.java	(revision 180)
+++ trunk/code/projects/colonet/ColonetGUI/Colonet.java	(revision 181)
@@ -12,7 +12,7 @@
 import java.util.Random;
 import java.applet.*;
 
-public class Colonet extends JApplet implements ActionListener, MouseInputListener, Runnable {
+public class Colonet extends JApplet implements ActionListener, MouseInputListener, KeyListener, Runnable {
 
 	final int CANVAS_SIZE = 500;  //the applet may be slow if the canvas gets too large
 	final int BUFFER = 50;
@@ -302,7 +302,12 @@
 		btnB.addActionListener(this);
 		btnL.addActionListener(this);
 		btnR.addActionListener(this);
+		btnF.addKeyListener(this);
+		btnB.addKeyListener(this);
+		btnL.addKeyListener(this);
+		btnR.addKeyListener(this);
 		btnActivate.addActionListener(this);
+		btnActivate.addKeyListener(this);
 		vectorController.addMouseMotionListener(this);
 		vectorController.addMouseListener(this);
 		btnCommand_StopTask.addActionListener(this);
@@ -339,67 +344,6 @@
 		paint(g);
 	}
 	
-	public void actionPerformed (ActionEvent e) {
-		Object source = e.getSource();
-		if (source == btnGraph) {
-			btnGraph.setEnabled(false);
-			//Start dependent threads
-			drawThread = new Thread(this, "drawThread");
-			drawThread.start();
-			indicator.start();
-			packetMonitor.start();
-			simulator.start();
-		} else if (source == btnConnect) {
-			csi.connect(txtHost.getText(), txtPort.getText());
-			dataUpdater = new DataUpdater();
-			dataUpdater.start();
-		}
-		// Robot Movement Controls
-		else if (source == btnF) {
-			vectorController.setMaxForward();
-			vectorController.sendToServer();
-		} else if (source == btnB) {
-			vectorController.setMaxReverse();
-			vectorController.sendToServer();
-		} else if (source == btnL) {
-			vectorController.setMaxLeft();
-			vectorController.sendToServer();
-		} else if (source == btnR) {
-			vectorController.setMaxRight();
-			vectorController.sendToServer();
-		} else if (source == btnActivate) {
-			vectorController.setZero();
-			vectorController.sendToServer();
-		}
-		// Robot Commands (non-movement)
-		else if (source == btnCommand_StopTask) {
-		
-		} else if (source == btnCommand_ResumeTask) {
-		
-		} else if (source == btnCommand_ChargeNow) {
-		
-		} else if (source == btnCommand_StopCharging) {
-		
-		}
-			
-		// Queue Management
-		else if (source == btnAddTask) {
-			taskAddWindow.prompt();
-		} else if (source == btnRemoveTask) {
-			if (taskList.getSelectedIndex() >= 0);
-				csi.sendQueueRemove(taskList.getSelectedIndex());
-			csi.sendQueueUpdate();
-		} else if (source == btnMoveTaskUp) {
-			csi.sendQueueReorder(taskList.getSelectedIndex(), taskList.getSelectedIndex() - 1);
-			csi.sendQueueUpdate();
-		} else if (source == btnMoveTaskDown) {
-			csi.sendQueueReorder(taskList.getSelectedIndex(), taskList.getSelectedIndex() + 1);
-			csi.sendQueueUpdate();
-		} else if (source == btnUpdateTasks) {
-			csi.sendQueueUpdate();
-		}
-	}
-	
 	private void randomize () {
 		Random r = new Random();
 		StringBuilder s = new StringBuilder();
@@ -619,7 +563,7 @@
 	}
 	
 	//
-	// MouseEvent methods
+	// MouseListener methods
 	//
 	public void mouseExited(MouseEvent e) {
 	}
@@ -626,10 +570,10 @@
 	public void mouseEntered(MouseEvent e) {
 	}
 	public void mouseReleased(MouseEvent e) {
-		vectorController.sendToServer();
+		vectorController.notifyMouseEvent(e, true);
 	}
 	public void mouseClicked(MouseEvent e) {
-		mouseDragged(e);
+		vectorController.notifyMouseEvent(e, false);
 	}
 	public void mousePressed(MouseEvent e) {
 		try {
@@ -643,13 +587,103 @@
 	
 	}
 	public void mouseDragged(MouseEvent e) {
-		vectorController.setPoint(e.getX(), e.getY());
-		vectorController.repaint();
+		vectorController.notifyMouseEvent(e, false);
 	}
 	public void mouseMoved(MouseEvent e) {
 	}
 	
+	//
+	// KeyListener methods
+	//
+	public void keyPressed (KeyEvent e) {
+		int code = e.getKeyCode();
+		if (code == KeyEvent.VK_UP) {
+			vectorController.setMaxForward();
+			vectorController.sendToServer();
+		} else if (code == KeyEvent.VK_DOWN) {
+			vectorController.setMaxReverse();
+			vectorController.sendToServer();
+		} else if (code == KeyEvent.VK_LEFT) {
+			vectorController.setMaxLeft();
+			vectorController.sendToServer();
+		} else if (code == KeyEvent.VK_RIGHT) {
+			vectorController.setMaxRight();
+			vectorController.sendToServer();
+		} else if (code == KeyEvent.VK_S) {
+			vectorController.setZero();
+			vectorController.sendToServer();
+		}
+	}
+	public void keyReleased (KeyEvent e) {
+	}
+	public void keyTyped (KeyEvent e) {
+	}
 	
+	
+	//
+	// ActionListener method
+	//
+	public void actionPerformed (ActionEvent e) {
+		Object source = e.getSource();
+		if (source == btnGraph) {
+			btnGraph.setEnabled(false);
+			//Start dependent threads
+			drawThread = new Thread(this, "drawThread");
+			drawThread.start();
+			indicator.start();
+			packetMonitor.start();
+			simulator.start();
+		} else if (source == btnConnect) {
+			csi.connect(txtHost.getText(), txtPort.getText());
+			dataUpdater = new DataUpdater();
+			dataUpdater.start();
+		}
+		// Robot Movement Controls
+		else if (source == btnF) {
+			vectorController.setMaxForward();
+			vectorController.sendToServer();
+		} else if (source == btnB) {
+			vectorController.setMaxReverse();
+			vectorController.sendToServer();
+		} else if (source == btnL) {
+			vectorController.setMaxLeft();
+			vectorController.sendToServer();
+		} else if (source == btnR) {
+			vectorController.setMaxRight();
+			vectorController.sendToServer();
+		} else if (source == btnActivate) {
+			vectorController.setZero();
+			vectorController.sendToServer();
+		}
+		// Robot Commands (non-movement)
+		else if (source == btnCommand_StopTask) {
+		
+		} else if (source == btnCommand_ResumeTask) {
+		
+		} else if (source == btnCommand_ChargeNow) {
+		
+		} else if (source == btnCommand_StopCharging) {
+		
+		}
+			
+		// Queue Management
+		else if (source == btnAddTask) {
+			taskAddWindow.prompt();
+		} else if (source == btnRemoveTask) {
+			if (taskList.getSelectedIndex() >= 0);
+				csi.sendQueueRemove(taskList.getSelectedIndex());
+			csi.sendQueueUpdate();
+		} else if (source == btnMoveTaskUp) {
+			csi.sendQueueReorder(taskList.getSelectedIndex(), taskList.getSelectedIndex() - 1);
+			csi.sendQueueUpdate();
+		} else if (source == btnMoveTaskDown) {
+			csi.sendQueueReorder(taskList.getSelectedIndex(), taskList.getSelectedIndex() + 1);
+			csi.sendQueueUpdate();
+		} else if (source == btnUpdateTasks) {
+			csi.sendQueueUpdate();
+		}
+	}
+	
 	/*
 	*	SelectionIndicator thread.
 	*	Graphical representation of the selection marker
@@ -973,6 +1007,15 @@
 			return (xterm + yterm <= 1);
 		}
 		
+		public void notifyMouseEvent (MouseEvent e, boolean send) {
+			if (!isValidPoint(e.getX(), e.getY()))
+				return;
+			vectorController.setPoint(e.getX(), e.getY());
+			vectorController.repaint();
+			if (send)
+				vectorController.sendToServer();
+		}
+		
 		public int getVelocity () {
 			int dx = x - cx;
 			int dy = y - cy;
@@ -1024,10 +1067,45 @@
 		}
 		
 		public void sendToServer () {
-			if (csi != null)
+			//log.append("Attempitng to send angle = " + vectorController.getAngle() + ", velocity = " + vectorController.getVelocity() + "\n");
+			if (csi != null) {
+				if (cx == 0 && cy == 0) {
+					csi.sendData(ColonetServerInterface.MOTORS_OFF, ColonetServerInterface.GLOBAL_DEST);
+				} else {
+					//Directional commands
+					if (x > cx && y == cy) {  //move right
+						csi.sendData(ColonetServerInterface.MOTOR2_SET + " 0 160", ColonetServerInterface.GLOBAL_DEST);
+						csi.sendData(ColonetServerInterface.MOTOR1_SET + " 1 160", ColonetServerInterface.GLOBAL_DEST);
+					} else if (x < cx && y == cy) {  //move left
+						csi.sendData(ColonetServerInterface.MOTOR2_SET + " 1 160", ColonetServerInterface.GLOBAL_DEST);
+						csi.sendData(ColonetServerInterface.MOTOR1_SET + " 0 160", ColonetServerInterface.GLOBAL_DEST);
+					} else if (x == cx && y > cy) {  //move forward
+						csi.sendData(ColonetServerInterface.MOTOR2_SET + " 0 200", ColonetServerInterface.GLOBAL_DEST);
+						csi.sendData(ColonetServerInterface.MOTOR1_SET + " 0 200", ColonetServerInterface.GLOBAL_DEST);
+					} else if (x == cx && y < cy) {  //move backward
+						csi.sendData(ColonetServerInterface.MOTOR2_SET + " 1 200", ColonetServerInterface.GLOBAL_DEST);
+						csi.sendData(ColonetServerInterface.MOTOR1_SET + " 1 200", ColonetServerInterface.GLOBAL_DEST);
+					} else if (x == cx && y == cy) {  //stop!
+						csi.sendData(ColonetServerInterface.MOTOR2_SET + " 1 0", ColonetServerInterface.GLOBAL_DEST);
+						csi.sendData(ColonetServerInterface.MOTOR1_SET + " 1 0", ColonetServerInterface.GLOBAL_DEST);
+					}
+					
+					/*
+					//Work on this later.
+					csi.sendData(ColonetServerInterface.MOTOR1_SET + " " + "0" + " " + 
+						(vectorController.getVelocity() + vectorController.getAngle()), ColonetServerInterface.GLOBAL_DEST);
+					csi.sendData(ColonetServerInterface.MOTOR2_SET + " " + "0" + " " + 
+						(vectorController.getVelocity() - vectorController.getAngle()), ColonetServerInterface.GLOBAL_DEST);
+					*/
+				}
+			}
+				/*
+				//The move command doesn't really work.
 				csi.sendData(ColonetServerInterface.MOVE + " " + 
 					vectorController.getAngle() + " " + 
 					vectorController.getVelocity(), ColonetServerInterface.GLOBAL_DEST);
+				*/
+			
 		}
 	
 	}
Index: trunk/code/projects/colonet/ColonetGUI/ColonetServerInterface.java
===================================================================
--- trunk/code/projects/colonet/ColonetGUI/ColonetServerInterface.java	(revision 180)
+++ trunk/code/projects/colonet/ColonetGUI/ColonetServerInterface.java	(revision 181)
@@ -165,14 +165,9 @@
 			return;
 		}
 		
-		//make sure we aren't already connected. if so, disconnect first.
+		//make sure we aren't already connected.
 		if (socket != null && socket.isConnected()) {
-			try {
-				out.close();
-				socket.close();
-			} catch (IOException e) {
-				log.append("Error closing socket. Reconnecting...\n");
-			}
+			return;
 		}
 		
 		try {
@@ -216,7 +211,7 @@
 		}
 		//send packet
 		try {
-			Thread.sleep(10);  //pause to be safe
+			Thread.sleep(50);  //pause to be safe
 			out.write(s);
 			out.flush();
 			log.setText("Sent: " + s);
@@ -227,7 +222,7 @@
 		}
 	}
 	
-	public void sendData (String s, String robotNumber) {	
+	public void sendData (String s, String robotNumber) { 
 		//create packet
 		String packet = "";
 		packet += ColonetServerInterface.SEND_TO_ROBOT;
